#include <bits/stdc++.h>
#define mod 1000000007
#define pb push_back
#define mid(l, r) ((l)+(r))/2
#define len(a) (a).length()
#define sz(a) (a).size()
#define xx first
#define yy second
#define inf int(2e9)
#define ff(i, a, b) for(int (i) = (a); (i) <= (b); ++(i))
#define fb(i, a, b) for(int (i) = (a); (i) >= (b); --(i))


using namespace std;

typedef long long ll;
typedef pair<int,int> pii;

template<class T>
void print(const T niz[], const int siz)
{
    for(int i=0;i<siz;i++)
        cout << niz[i] << " ";
    cout << endl;
}

int n;
ll x[200005];
ll y[200005];
int main()
{
    ios_base::sync_with_stdio(false);
    cin >> n;
    ll res = 0;
    ff(i,0,n - 1)cin >> x[i] >> y[i];
    sort(x, x + n);
    sort(y, y + n);
    ff(i,0,n - 1){
        res = res + abs(x[i] - (i + 1)) + abs(y[i] - (i + 1));
    }
    cout << res << endl;
    return 0;
}